This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 440896 - GFS: gfs_fsck should repair gfs_grow corruption (see bug #436383)
GFS: gfs_fsck should repair gfs_grow corruption (see bug #436383)
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Robert Peterson
GFS Bugs
:
Depends On:
Blocks: 440897
  Show dependency treegraph
 
Reported: 2008-04-04 12:50 EDT by Robert Peterson
Modified: 2010-01-11 22:17 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0804
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:28:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Peterson 2008-04-04 12:50:09 EDT
Description of problem:
The problem described in bug #436383 (RHEL4) and bug #434962 (RHEL5)
introduces corruption into a gfs file system.  Today's gfs_fsck is
unable to repair that damage, and I think it needs to.

Version-Release number of selected component (if applicable):
RHEL4

How reproducible:
Easily (now that I know the trick).

Steps to Reproduce:
1. Follow the steps listed in bug #436383 to corrupt a file system
2. Run gfs_fsck on the corrupt file system
  
Actual results:
gfs_fsck's resource group analysis says "(passed)" and no corruption
is detected.

[root@exxon-01 /home/bob]# gfs_fsck /dev/exxon_vg/exxon_lv 
Initializing fsck
Can't seek to last block in file system: 4309132281
Unable to determine the boundaries of the file system.

Expected results:
gfs_fsck should detect and repair the damage gracefully.

Additional info:
I've got a prototype patch that does this.  The RHEL4 version is
attached to bug #436383.  It still needs some testing.
Comment 1 Robert Peterson 2008-04-13 12:05:58 EDT
Requesting flags for inclusion into 4.8.
Comment 2 Kiersten (Kerri) Anderson 2008-04-13 20:17:46 EDT
Still time to get this into cluster 4.7 so devel acking and switching the flag.
Comment 3 RHEL Product and Program Management 2008-04-13 20:18:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Robert Peterson 2008-04-14 11:45:20 EDT
I tested this on the exxon-0{2,3} cluster and pushed the patch to git
at the RHEL4 branch for inclusion into 4.7.  Changing status to modified.
Comment 7 errata-xmlrpc 2008-07-25 15:28:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0804.html

Note You need to log in before you can comment on or make changes to this bug.